POST api/Products
Request Information
URI Parameters
None.
Body Parameters
ProductOverviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| LocalName | string |
None. |
|
| IsActive | boolean |
None. |
|
| ImageId | string |
None. |
|
| IsOutOfStock | boolean |
None. |
|
| ShortUnique | string |
None. |
|
| Price | PriceDto |
None. |
|
| RefPrice | PriceDto |
None. |
|
| MovieId | string |
None. |
|
| Color | string |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| HumanReadableIdentity | string |
None. |
|
| CampaignPrice | PriceDto |
None. |
|
| HasCampaignPrice | boolean |
None. |
|
| Description | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "d9254aa5-1f95-44d1-b0ad-0ccad0200469",
"name": "sample string 1",
"localName": "sample string 2",
"isActive": true,
"imageId": "sample string 4",
"isOutOfStock": true,
"shortUnique": "sample string 6",
"price": {
"id": "72dfcf40-d3c1-4dd0-9180-df8b83d09ece",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b4977d8d-6313-4937-acfe-66afdb2edae2",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"refPrice": {
"id": "72dfcf40-d3c1-4dd0-9180-df8b83d09ece",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b4977d8d-6313-4937-acfe-66afdb2edae2",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"movieId": "sample string 7",
"color": "sample string 8",
"created": "2026-06-07T08:29:37.0826821+02:00",
"updated": "2026-06-07T08:29:37.0826821+02:00",
"humanReadableIdentity": "sample string 11",
"campaignPrice": {
"id": "72dfcf40-d3c1-4dd0-9180-df8b83d09ece",
"amount": 1.0,
"currency": "sample string 2",
"productId": "b4977d8d-6313-4937-acfe-66afdb2edae2",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"hasCampaignPrice": true,
"description": "sample string 12"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.